www.cendio.com
Bug 4213 - raise python base requirement
: raise python base requirement
Status: CLOSED FIXED
: ThinLinc
Other
: 3.2.0
: PC Unknown
: P2 Normal
: 4.0.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-02-15 16:34 by
Modified: 2012-11-28 12:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2012-02-15 16:34:09
Currently we have a base requirement of Python 2.3. Maybe it is time to raise
this requirement, as the distributions in use today have newer versions.

RHEL 5 uses 2.4.3, so Python 2.4 might be a decent new base level.

We've also sort-of required Python 2.4 for a while on accident. It turns out
that tlinstaller.py uses the system's subprocess module. This didn't appear
until 2.4 though. So since nobody has complained, it would seem that no
customer runs anything older.

Bug 2574 covers the last time we raised the base requirement.
------- Comment #1 From cendio 2012-06-28 10:34:14 -------
Might look for things we can now change/remove as part of this, but should add
separate bugs for the things that are found.
------- Comment #2 From cendio 2012-08-09 11:06:22 -------
Checked a few distros, according to distrowatch.com:

* OpenSuse got 2.4 back in OpenSuse 9.3(!)
* SLE 10-SP3 has 2.4
* RHEL 5.7 has 2.4.3
* Ubuntu got 2.4.1 back in 5.04 hoary. 
* Debian 4.0 has 2.4.4

So, requiring 2.4.0 or later shouldn't be a problem.
------- Comment #3 From cendio 2012-08-09 12:25:06 -------
Fixed in 25589.

I don't think it makes sense to rewrite workarounds for Python < 2.4; that
would only take time and potentially introduce problems.
------- Comment #4 From cendio 2012-09-28 13:28:01 -------
Looks okay. There's a handler for Python 2.3 peculiarities on Solaris 8 in
vsmxmlrpccall.py, but I don't think it's hurting anyone if we leave it there.
Also, some of our autotests still use mktemp (deprecated in Python 2.4), but
this doesn't have anything to do with the product itself really.

There are probably some syntax changes which could be made for
efficiency/prettiness, but that would be a lot of work for little gain.
Closing.